/**
*      TFC - UOC
       Aplicacion: Visor para senderismo con OpenLayers
       Autor: Alfredo Fernandez
       Fecha: 09/01/2012

	MODELO DE DATOS
*/

/**
*      Tabla rutas
*/
CREATE TABLE rutas
(
  gid serial NOT NULL,
  id integer,
  nombre character varying(50),
  distancia character varying(50),
  dificultad character varying(50),
  nparadas character varying(50),
  codigo character varying(50),
  shape_leng numeric,
  zona character varying(254),
  descripcion character varying(254),
  foto character varying(254),
  CONSTRAINT rutas_pkey PRIMARY KEY (gid)
);
SELECT AddGeometryColumn('public','rutas','the_geom','4326','LINESTRING',4);

/**
*      Tabla puntos de interes
*/
CREATE TABLE pois
(
  gid serial NOT NULL,
  id integer,
  codigo character varying(50),
  descripcion character varying(50),
  ruta_id character varying(50),
  ruta character varying(50),
  altura character varying(50),
  tipo_punto character varying(254),
  CONSTRAINT pois_pkey PRIMARY KEY (gid)
);
SELECT AddGeometryColumn('public','pois','the_geom','4326','POINT',4);

